JBoss API: Class TracePriority

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging.log4j
Class TracePriority

    java.lang.Object
      |
      +--org.apache.log4j.Priority
            |
            +--org.jboss.logging.log4j.TracePriority

public class TracePriority
extends org.apache.log4j.Priority

Adds a trace priority that is below the standard log4j DEBUG priority. This is a custom priority that is 100 below the Priority.DEBUG_INT and represents a lower priority useful for logging events that should only be displayed when deep debugging is required.

Version:
  $Revision: 1.2.2.2 $
Author:
  Scott.Stark@jboss.org
See Also:
  `Category`, `Priority`

Field Summary
`static TracePriority` | `TRACE` The TRACE priority object singleton
`static int` | `TRACE_INT` The integer representation of the priority, (Priority.DEBUG_INT - 100)

Fields inherited from class org.apache.log4j.Priority
`DEBUG, DEBUG_INT, ERROR, ERROR_INT, FATAL, FATAL_INT, INFO, INFO_INT, WARN, WARN_INT`

Constructor Summary
`protected` | `TracePriority(int level, java.lang.String strLevel)`

Method Summary
`static org.apache.log4j.Priority` | `toPriority(int i, org.apache.log4j.Priority defaultPriority)` Convert an integer passed as argument to a priority.
`static org.apache.log4j.Priority` | `toPriority(java.lang.String name, org.apache.log4j.Priority defaultPriority)` Convert an integer passed as argument to a priority.

Methods inherited from class org.apache.log4j.Priority
`getAllPossiblePriorities, getSyslogEquivalent, isGreaterOrEqual, toInt, toPriority, toPriority, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRACE_INT

    public static final int TRACE_INT

  The integer representation of the priority, (Priority.DEBUG_INT - 100)

### TRACE

    public static final TracePriority TRACE

  The TRACE priority object singleton

Constructor Detail

### TracePriority

    protected TracePriority(int level,
                            java.lang.String strLevel)

Method Detail

### toPriority

    public static org.apache.log4j.Priority toPriority(java.lang.String name,
                                                       org.apache.log4j.Priority defaultPriority)

  Convert an integer passed as argument to a priority. If the conversion fails, then this method returns the specified default.
  Returns:
    the Priority object for name if one exists, defaultPriority otherwize.

### toPriority

    public static org.apache.log4j.Priority toPriority(int i,
                                                       org.apache.log4j.Priority defaultPriority)

  Convert an integer passed as argument to a priority. If the conversion fails, then this method returns the specified default.
  Returns:
    the Priority object for i if one exists, defaultPriority otherwize.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.